# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name json

# common part of summary for all the subpackages
%global common_summary Haskell %{pkg_name} parser and printer library

# main description used for all the subpackages
%global common_description This library provides a parser and pretty printer for converting\
between Haskell values and JSON.

# Haskell library dependencies (used for buildrequires and devel/prof subpkg requires)
%global ghc_pkg_deps ghc-mtl-devel

Name:           ghc-%{pkg_name}
Version:        0.4.4
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9 ppc64
BuildRequires:  ghc, ghc-doc, ghc-prof
# macros for building haskell packages
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%check
# assumes QuickCheck1
#cd tests
#make all


# define the devel and prof subpkgs, devel post[un] scripts, and filelists:
# ghc-%pkg_name{,devel,prof}.files
%ghc_lib_package


%changelog
* Tue May  3 2011 Jens Petersen <petersen@redhat.com> - 0.4.4-1
- BSD license

* Tue May  3 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.4.4-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.6
